cURL
curl --request GET \ --url https://api.example.com/api/v1/files/{file_id}/extraction \ --header 'Authorization: Basic <encoded-value>'
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "extracted_files": [ { "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "format": "markdown" } ], "status": "pending", "job_id": "<string>", "error_message": "<string>", "extraction_metadata": { "backend": "<string>", "settings": { "formats": [ "markdown" ] } }, "started_at": "2023-11-07T05:31:56Z", "finished_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z" }
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Basic <encoded-value>
<encoded-value>
username:password
Successful Response
Show child attributes
pending
in_progress
completed
failed
cancelled